DBLINK_SEND_QUERY(3)

NAME
dblink_send_query - sends an async query to a remote database

SYNOPSIS

dblink_send_query(text connname, text sql) returns int

DESCRIPTION

    Note

    The following description applies only to Postgres-XC

dblink module has not been tested with Postges-XC yet. Although there're no reason that dblink does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

    Note

    The following description applies only to PostgreSQL

dblink_send_query sends a query to be executed asynchronously, that is, without immediately waiting for the result. There must not be an async query already in progress on the connection.

After successfully dispatching an async query, completion status can be checked with dblink_is_busy, and the results are ultimately collected with dblink_get_result. It is also possible to attempt to cancel an active async query using dblink_cancel_query.

ARGUMENTS

    Note

    The following description applies only to Postgres-XC

dblink module has not been tested with Postges-XC yet. Although there're no reason that dblink does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

    Note

    The following description applies only to PostgreSQL

conname
    Name of the connection to use.

sql
    The SQL statement that you wish to execute in the remote database, for example select * from pg_class.

RETURN VALUE

    Note

    The following description applies only to Postgres-XC

dblink module has not been tested with Postges-XC yet. Although there're no reason that dblink does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

    Note

    The following description applies only to PostgreSQL

Returns 1 if the query was successfully dispatched, 0 otherwise.

EXAMPLES

    Note

    The following description applies only to Postgres-XC

dblink module has not been tested with Postges-XC yet. Although there're no reason that dblink does not run in Postgres-XC, the development team leaves the test and the use of this module entirely to users.

This section is identical to the corresponding PostgreSQL reference manual.

    Note

    The following description applies only to PostgreSQL

    SELECT dblink_send_query('dtest1', 'SELECT * FROM foo WHERE f1 < 3');